*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 4rem;
}
body{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
::-webkit-scrollbar{
    width: 0.5rem;
}
::-webkit-scrollbar-track{
    background-color: white;
}
::-webkit-scrollbar-thumb{
    background-color: orange;
    border-radius: 2rem;
}
::selection{
    background-color: orange;
}
a{
    text-decoration: none;
    color: inherit;
}
ul{
    list-style: none;
}
input[type='checkbox']{
    display: none;
}
.contenedor{
    max-width: min(calc(100% - 32px), 1200px);
    margin: 0 auto;
    padding-block: 1.5rem;
}
section{
    display: grid;
    place-items: center;
    min-height: 100vh;
    font-size: 2rem;
    border-bottom: 4px solid orange;
}
header{
    position: sticky;
    top: 0;
    right: 0;
    left: 0;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.09);
    z-index: 10;
    background-color: orange;
}
header nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header nav ul{
    display: flex;
    gap:3rem;
}
header nav ul li a{
    padding: 0.5rem 0.8rem;
    border-radius: 0.5rem;
}
header nav ul li:hover a{
    box-shadow: 0  5px 10px orangered;
    outline: 0.5px dashed orangered;
    color: #333;
}
header nav label{
    width: 2rem;
    height: 1.5rem;
    cursor: pointer;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
   


   
}
header nav label span{
    width: 100%;
    height: 2px;
    background-color: black;
    transition: 0.2s linear;
    
}
footer{

    background-color: #333;
    color: aliceblue;
}
footer .contenedor{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
footer span{
    color: orange;
    text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.05);
}
footer ul{
    display: flex;
    gap:2rem;
}
@media (max-width:768px) {

    header nav label{
        display: flex;
    }
    header nav ul{
        display: inline-block;
        position: absolute;
        top:99%;
        left:0;
        right: 0;
        padding-left: 2rem;
        padding-top: 2rem;
        border-bottom: 1px solid rgba(0,0,0,0.09);
        border-top: 1px solid rgba(0,0,0,0.09);
        background-color: orange;
        clip-path: polygon(0 0, 100% 0, 99% 0, 0 0);
        transition: 0.3s linear;
    }
    header nav ul li:hover a{
        box-shadow: none;
        outline: none;
    }
    header nav ul li{
        margin-block: 1rem;
    }
    #abrir-menu:checked ~  ul{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }
     #abrir-menu:checked ~  label span:nth-child(2){
        opacity: 0;
     }
      #abrir-menu:checked ~  label span:nth-child(1){
        transform: rotate(45deg) translateY(8px);
     }
      #abrir-menu:checked ~  label span:nth-child(3){
         transform: rotate(-45deg) translateY(-12px) translateX(2px);
     }
}